%global _empty_manifest_terminate_build 0
Name:		python-lazr.delegates
Version:	2.0.4
Release:	2
Summary:	Easily write objects that delegate behavior
License:	LGPL v3
URL:		https://pypi.org/project/lazr.delegates
Source0:	https://files.pythonhosted.org/packages/e7/23/c3f5e887055b4f238cf07b47d2ff72731b88858d36ef6095380515dcb8d1/lazr.delegates-%{version}.tar.gz
BuildArch:	noarch

Patch0001:	Test-using-zope.testrunner-rather-than-nose.patch

%description
The lazr.delegates package makes it easy to write objects that delegate
behavior to another object. The new object adds some property or behavior on
to the other object, while still providing the underlying interface, and
delegating behavior.

%package -n python3-lazr.delegates
Summary:	Easily write objects that delegate behavior
Provides:	python-lazr.delegates
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-lazr.delegates
The lazr.delegates package makes it easy to write objects that delegate
behavior to another object. The new object adds some property or behavior on
to the other object, while still providing the underlying interface, and
delegating behavior.

%package help
Summary:	Development documents and examples for lazr.delegates
Provides:	python3-lazr.delegates-doc

%description help
Development documents and examples for lazr.delegates.

%prep
%autosetup -n lazr.delegates-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-lazr.delegates -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Jan 07 2022 Chen Chen <chen_aka_jan@163.com> - 2.0.4-2
- using zope.testrunner instead of nose
- update python version

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org> - 2.0.4-1
- Package Spec generated
